package	jp.co.sds_corp.hibiya.layout;

import jp.co.sds_corp.hibiya.server.CheckerChangeEvent;

/**
* 固定文字列を返します。
*/
public class LiteralConverter implements IConverter
{
	private static final long serialVersionUID = 1L;
	String pattern;

	/**
	* 指定された文字列でLiteralConverterを作成します。
	* @param	pattern	フォーマット文字列
	*/
	public LiteralConverter( String pattern ) {
		this.pattern = pattern;
	}

	/**
	* 固定文字列を出力します。
	* @param	ev		編集元のデータ
	* @return	編集結果の文字列
	*/
	public String convert( CheckerChangeEvent ev ) {
		return pattern;
	}
}
